Resource Center/Network Service/Network Service Operations/VIP Operations
PUTVIP OperationsSince 0.6SynchronousAuth Required
UpdateVip
UpdateVip
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updatevipObjectRequiredupdatevip request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/vips/{uuid}/actions
/zstack/v1/vips/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/vips/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatevip":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "afc62fc544524344804c558156b57938", "name": "new name", "ipRangeUuid": "cbe101ec40844785ac64f0693e56122a", "l3NetworkUuid": "06272fa02c0b4776a0fb1bab6171ba34", "ip": "192.168.0.1", "state": "Enabled", "gateway": "127.0.0.1", "netmask": "255.255.0.0", "peerL3NetworkUuid": [ "e35c8f6a65d14e8492e6fb72382dc1b4" ] } }Change History
This API has no change history records yet.
